Bug 1480216 - Cannot report crash of gnome-control-center caused by sudo service NetworkManager restart (while viewing wireless settings) because "Reporting is disabled because the backtrace is unusable."
Cannot report crash of gnome-control-center caused by sudo service NetworkMan...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
26
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 08:23 EDT by Jonas Thiem
Modified: 2018-05-29 08:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:54:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2017-08-10 08:23:45 EDT
Description of problem:
Cannot report crash of gnome-control-center caused by sudo service NetworkManager restart (while viewing wireless settings) because "Reporting is disabled because the backtrace is unusable.".

It would be desirable if I could choose to report anyway if I knew steps on how to reproduce the crash, since obviously some of the other information gnome-abrt provides might still be useful to attach to such a bug report.

Version-Release number of selected component (if applicable):
1.2.5-4.fc26

How reproducible:
100%

Steps to Reproduce:
1. Open gnome-control-center
2. Click "Network" and look at wireless settings
3. Open a terminal, execute: $ sudo service NetworkManager restart
4. gnome-control-center crashes
5. Open the gnome-abrt notification by clicking "Report"
6. Click the big blue "Report" button on the according crash report
7. Answer crash dump upload question with "No"
8. Wait until backtrace is analyzed

Actual results:
Reporting aborts, which ends with this message in the scrollable log window: "No updates for this package found" and this message at the bottom: "Reporting disabled because the backtrace is unusable."

Expected results:
Reporting either works, or allows me to say "I want to report anyway with reproduction steps" or something

Additional info:
Comment 1 Jonas Thiem 2017-08-10 08:32:22 EDT
This is the ABRT report: https://retrace.fedoraproject.org/faf/reports/1792467/
Comment 2 Jakub Filak 2017-08-19 03:11:31 EDT
Please, use the command line tool to report the crash:
$ abrt-cli list
$ abrt-cli report --unsafe

The --unsafe option has not been implemented in the gui tool yet.
Comment 3 Fedora End Of Life 2018-05-03 04:36:02 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 08:54:25 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.